Package org.apache.uima.util.impl

# Class SerializationMeasures.StatDetail

java.lang.Object
org.apache.uima.util.impl.SerializationMeasures.StatDetail

Enclosing class:
  SerializationMeasures

public static class SerializationMeasures.StatDetail extends Object
Statistical details There's instances of this class for - the main heap - the aux heaps - the string offsets, the string lengths Heap: xxxx [name-of-delta: [Total: <TotalBytes>(negative%) Histo: a(neg%) b(neg%) c(neg%) d(neg%) e(neg%)]] 2 styles: one uses only one counter, no delta - used for byte, short, and long heaps other is for main heap, uses 4 deltas.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `afterZip`
  `long`
  `beforeZip`
  `final int[]`
  `c`
  `int`
  `countTotal`
  `long`
  `deserializationTime`
  `long`
  `diffEncoded`
  `int`
  `lengthTotal`
  `long`
  `original`
  `long`
  `valueLeDiff`
  `long`
  `zipTime`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StatDetail(String name, boolean canBeNegative, boolean inMainHeap, int bytesPerCount)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accum(SerializationMeasures.StatDetail o)`
  `long`
  `getOriginal()`
  `void`
  `incr(int encodedLength)`
  `void`
  `incr(int encodedLength, boolean isNegative)`
  `void`
  `incrNoCompression(int v)`
  v is the number of bytes to incr counter 0 by
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### original

    public long original

  - ### c

    public final int[] c

  - ### countTotal

    public int countTotal

  - ### lengthTotal

    public int lengthTotal

  - ### diffEncoded

    public long diffEncoded

  - ### valueLeDiff

    public long valueLeDiff

  - ### beforeZip

    public long beforeZip

  - ### afterZip

    public long afterZip

  - ### zipTime

    public long zipTime

  - ### deserializationTime

    public long deserializationTime

- ## Constructor Details

  - ### StatDetail

    public StatDetail(String name, boolean canBeNegative, boolean inMainHeap, int bytesPerCount)

- ## Method Details

  - ### getOriginal

    public long getOriginal()

  - ### accum

    public void accum(SerializationMeasures.StatDetail o)

  - ### incr

    public void incr(int encodedLength, boolean isNegative)

  - ### incr

    public void incr(int encodedLength)

  - ### incrNoCompression

    public void incrNoCompression(int v)
    v is the number of bytes to incr counter 0 by
    Parameters:
      `v` - -

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`